Create a new client
curl --request POST \
--url https://api.projectcor.com/v1/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'name=<string>' \
--data 'business_name=<string>' \
--data 'name_contact=<string>' \
--data 'last_name_contact=<string>' \
--data email_contact=jsmith@example.com \
--data 'website=<string>' \
--data 'description=<string>' \
--data 'condition=<string>' \
--data 'phone=<string>'import requests
url = "https://api.projectcor.com/v1/clients"
payload = {
"name": "<string>",
"business_name": "<string>",
"name_contact": "<string>",
"last_name_contact": "<string>",
"email_contact": "jsmith@example.com",
"website": "<string>",
"description": "<string>",
"condition": "<string>",
"phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
name: '<string>',
business_name: '<string>',
name_contact: '<string>',
last_name_contact: '<string>',
email_contact: 'jsmith@example.com',
website: '<string>',
description: '<string>',
condition: '<string>',
phone: '<string>'
})
};
fetch('https://api.projectcor.com/v1/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const encodedParams = new URLSearchParams();
encodedParams.set('name', '<string>');
encodedParams.set('business_name', '<string>');
encodedParams.set('name_contact', '<string>');
encodedParams.set('last_name_contact', '<string>');
encodedParams.set('email_contact', 'jsmith@example.com');
encodedParams.set('website', '<string>');
encodedParams.set('description', '<string>');
encodedParams.set('condition', '<string>');
encodedParams.set('phone', '<string>');
const url = 'https://api.projectcor.com/v1/clients';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: encodedParams
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/clients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "name=%3Cstring%3E&business_name=%3Cstring%3E&name_contact=%3Cstring%3E&last_name_contact=%3Cstring%3E&email_contact=jsmith%40example.com&website=%3Cstring%3E&description=%3Cstring%3E&condition=%3Cstring%3E&phone=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/clients"
payload := strings.NewReader("name=%3Cstring%3E&business_name=%3Cstring%3E&name_contact=%3Cstring%3E&last_name_contact=%3Cstring%3E&email_contact=jsmith%40example.com&website=%3Cstring%3E&description=%3Cstring%3E&condition=%3Cstring%3E&phone=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"name": "<string>",
"business_name": "<string>",
"name_contact": "<string>",
"last_name_contact": "<string>",
"email_contact": "jsmith@example.com",
"website": "<string>",
"description": "<string>",
"condition": "<string>",
"phone": "<string>"
}Clients
Create a new client
POST
/
clients
Create a new client
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/x-www-form-urlencoded
Was this page helpful?
⌘I

